Skip to content

Deploy Policies to Bot Infra.

POST
/api/shape/bot/namespaces/{namespace}/bot_infrastructures/{name}/policies
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_infrastructures/example/policies \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "comments": "example", "name": "example", "namespace": "example", "policy_metadata": [ { "policy_name": "example", "policy_type": "ENDPOINT_POLICY", "version": "example" } ] }'

Deploy Policies to Bot Infrastructure.

Examples of this operation.

namespace
required
string

Namespace namespace is used to scope the query.

name
required
string

Bot Infra Name Bot Infra Name.

Media typeapplication/json
DeployPolicesRequest

Request for deploy policies.

object
comments
Deployed Comments

The comments for this deployment.

string
<= 1024 characters
name
Bot Infra Name

Bot Infra Name.

string
>= 1 characters <= 1024 characters
namespace
namespace

Namespace is used to scope the query.

string
>= 1 characters <= 1024 characters
policy_metadata
Deployed Policy Metadata

Deployed Policy Metadata.

Array<object>
DeployPolicyMetadata

The metadata for deployed policy config.

object
policy_name
Policy Name

Policy Name.

string
>= 1 characters <= 1024 characters
policy_type
string
default: ENDPOINT_POLICY
Allowed values: ENDPOINT_POLICY NETWORK_POLICY ALLOWLIST_POLICY
version
Policy Version

Policy Version The format should be X.0.

string
>= 1 characters <= 1024 characters

A successful response.

Media typeapplication/json
DeployPoliciesResponse

Response for deploy policies.

object
deploy_status
string
default: IN_PROGRESS
Allowed values: IN_PROGRESS FINISHED FAILED
name
Bot Infra Name

Bot Infra Name.

string
>= 1 characters <= 1024 characters
Example
{
"deploy_status": "IN_PROGRESS"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example